Creates a series out of one or more clones of the specified sample

The storage position ranges for the cloned samples can be given in the storagePositionRanges array, where the offset is the starting position in the storage position range and the limit is how many samples will be placed after the starting position. The total number of storage positions (the sum of limit) must be equal to cloneTimes. If no storage position ranges are specified, the cloned samples will not be added to a storage unit.

The quantity of the cloned samples can be changed using quantity amount and unit.

The trackParent parameter is a boolean indicating whether the original sample should be linked as parent to the clone sample(s).

The seriesName parameter is the name of the newly created series.

The incrementSampleName parameter contains all the data for when you want to add an increment to the sample name. The numberPlacement can be 'Prepend' or 'Append'.

The includeSourceSample parameter is a boolean indicating whether the original sample is going to be included into the new series.

example:

{
    storagePositionRanges: [{
        storageLayerID: 109061,
        limit: 1,
        offset: 2,
    }],
    quantity: {
        amount: 1,
        unit: "KiloGram"
    },
    cloneTimes: 1,
    trackParent: true
    includeSourceSample: true,
    seriesName: "exampleSeries",
    ignoreAutoNumbering: true,
    incrementSampleName: {
        startNumber: 0,
        stepSize: 5,
        numberPosition: "prepend"
    }
}
Path Params
int32
required
Body Params
string
boolean
incrementSampleName
object
boolean
int32
boolean
quantity
object
date-time
storagePositionRanges
array of objects
storagePositionRanges
boolean
Headers
string
Defaults to Swagger
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

204

The sample has been cloned

400

The given parameters are wrong

401

The user has no permission to the original sample, or has no permission to place samples in the specified locations.

404

The given sampleID is invalid

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here!